AUDIT: r21818 - gnucash/trunk/packaging/win32 - [Win32 build] Let git.exe be downloaded and unpacked as well. We might start using it sooner or later.

Christian Stimming cstim at code.gnucash.org
Mon Jan 2 07:51:25 EST 2012


Author: cstim
Date: 2012-01-02 07:51:24 -0500 (Mon, 02 Jan 2012)
New Revision: 21818
Trac: http://svn.gnucash.org/trac/changeset/21818

Modified:
   gnucash/trunk/packaging/win32/defaults.sh
   gnucash/trunk/packaging/win32/install-impl.sh
   gnucash/trunk/packaging/win32/install.sh
Log:
[Win32 build] Let git.exe be downloaded and unpacked as well. We might start using it sooner or later.

BP

Modified: gnucash/trunk/packaging/win32/defaults.sh
===================================================================
--- gnucash/trunk/packaging/win32/defaults.sh	2012-01-01 23:00:44 UTC (rev 21817)
+++ gnucash/trunk/packaging/win32/defaults.sh	2012-01-02 12:51:24 UTC (rev 21818)
@@ -353,6 +353,9 @@
 set_default SVN_URL "http://subversion.tigris.org/files/documents/15/47914/svn-win32-1.6.6.zip"
 set_default SVN_DIR $GLOBAL_DIR\\svn
 
+set_default GIT_URL "http://msysgit.googlecode.com/files/Git-1.7.8-preview20111206.exe"
+set_default GIT_DIR $GLOBAL_DIR\\git-1.7.8
+
 # OFX import in gnucash and ofx directconnect support for aqbanking
 set_default OPENSP_URL "$SF_MIRROR/openjade/OpenSP-1.5.2.tar.gz"
 set_default OPENSP_DIR $GLOBAL_DIR\\opensp

Modified: gnucash/trunk/packaging/win32/install-impl.sh
===================================================================
--- gnucash/trunk/packaging/win32/install-impl.sh	2012-01-01 23:00:44 UTC (rev 21817)
+++ gnucash/trunk/packaging/win32/install-impl.sh	2012-01-02 12:51:24 UTC (rev 21818)
@@ -251,6 +251,20 @@
     fi
 }
 
+function inst_git() {
+    setup Git
+    _GIT_UDIR=`unix_path $GIT_DIR`
+    add_to_env $_GIT_UDIR/bin PATH
+    if quiet $_GIT_UDIR/bin/git --help || quiet git --help
+    then
+        echo "git already installed in $_GIT_UDIR.  skipping."
+    else
+        smart_wget $GIT_URL $DOWNLOAD_DIR
+        $LAST_FILE //SP- //SILENT //DIR="$GIT_DIR"
+        quiet git --help || die "git unavailable"
+    fi
+}
+
 # Functions before this point are basic build infrastructure functions or else they get pieces needed to build
 # gnucash but which are not part of the final product.  Functions after this point are for components of the
 # final build.  Please leave in alphabetical order so they are easier to find.

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2012-01-01 23:00:44 UTC (rev 21817)
+++ gnucash/trunk/packaging/win32/install.sh	2012-01-02 12:51:24 UTC (rev 21818)
@@ -83,6 +83,7 @@
 add_step inst_guile
 if [ "$CROSS_COMPILE" != "yes" ]; then
  add_step inst_svn
+ add_step inst_git
 fi
 add_step inst_gnutls
 add_step inst_libxslt



More information about the gnucash-changes mailing list